| Home | Libraries | People | FAQ | More

## Struct length

boost::xpressive::op::length

## Synopsis

    struct length {
      template<typename Sig>
      struct result {
      };
      template<typename This, typename Sub>
      struct result<This(Sub)> {
      };

      // public member functions
      template<typename Sub> Sub::difference_type operator()(Sub const &) const;
    };

## Description

### `length` public member functions

1.     template<typename Sub> Sub::difference_type operator()(Sub const & sub) const;